Subject: Re: ordre des instructions dans un markup

From: John Mandereau <[email-masked]>
Date: Mon, 06 Oct 2008 22:23:33 +0200

Bonjour Daniel,
avec mes excuses pour le temps de réponse...
Le lundi 15 septembre 2008 à 20:07 +0200, Daniel Cartron a écrit : 
> Le lundi 15 septembre 2008, John Mandereau a écrit :
> > Pour commencer, je te propose de faire parmi les tâches 
> > suivantes (tu peux ne faire qu'une seule de ces tâches ou les deux,
> > c'est comme tu veux):
> 
> ma foi je dirais que je veux bien faire ce que tu jugeras le plus important...

Ce n'est certainement pas à moi de décider, sinon je te demanderais de
faire les deux puis de mettre à jour la traduction du chapitre 4... au
fait tu en es où, tu as déjà fini ? :-)

> > Non, un \prall n'est pas un TextScript (avec les majuscules SVP), 
> 
> ben j'ai le droit à la fainéantise parfois, non ? Je fais un effort pour ne 
> pas faire de fautes, mais pour les majuscules je me laisse parfois aller...

La casse permet justement de différencier un grob (objet graphique), une
propriété de contexte et une propriété de grob, ce n'est pas pour rien
que je pinaille :-)

> > c'est 
> > un Script ; c'est pourtant clair dans cette page de documentation, non ?
> > Le seul lien dans la section "Voir aussi" pointe vers Script, c'est une
> > perche bien tendue.
> 
> Vi je suis allé un peu vite pour écrire, mais n'empêche, toute la doc me 
> semble avoir une tournure d'esprit un peu bizarre, du genre on explique pas 
> A, on explique "non-B"... Du genre sur cette page, qui parle des 
> articulations, on ne dit nulle part clairement que ce sont des objets script, 
> mais que le dièse est un TextScript (là j'ai fait un copier coller de ton 
> texte sinon je repartais en minuscules ;-) ) et pas les autres. Bon ok il y a 
> le lien en bas, mais ça coûterait pas grand chose de dire ça en clair :
> Type d'objet : Script. 

Bonne idée, mais nous devons trouver un moyen pour ajouter le type
d'objet automatiquement lors de la compilation de la documentation...
c'est faisable mais ce ne sera pas pour la version 2.12.0.  Et tout cas,
ce genre de lien restera "en bas" dans la section "Voir aussi", c'est
une habitude à prendre.  Le manuel d'initiation est conçu pour donner
non seulement une introduction au logiciel, mais aussi des clés de
lecture du reste de la documentation.

> Au risque de me faire mal voir je dirais que c'est une doc écrite par des 
> anglo-saxons :-))

... ou par des gens qui se plient au style anglo-saxon :-P

> > Voir aussi -> Référence du programme
> >                         des propriétés internes
> > (nous utilisons la seconde traduction dans les mises à jour récentes,
> > mais ce n'est pas forcément la meilleure formulation).
> 
> J'ai lu la version originale et j'ai pas vraiment tout compris...

Que veux-tu dire ?  De quel passage de la doc veux-tu parler
exactement ?

Salutations lilyesques
John